La machacada de versiones y cuantos vServer para desarrollo se necesitan


([N1] aztecmexico) #1

Pues esto es un tema muuuuuuy viejo y que hasta la fecha sigue sin solución, ni avisos, ni recomendaciones, ni nada.

Sobre todo a los nuevos en Velneo les debe pasar seguido y a los que ya tenemos más tiempo pues muy de vez en cuando.

Me refiero a que vAdmin sigue sin avisar cuando al instalar un vin, este trae consigo alguna versión heredada más antigua de alguna caja o solución, machacándote con esto tu últimas versiones.

Creo que mínimo debería avisar, sobre todo porque nunca sabes qué soluciones hereda un vin, principalmene cuando tomas los de ejemplos de otras soluciones, como ejemplos bajados del foro, o del sitio web de youtube, o de otros desarrolladores.

Si alguno de esos vin trae por ejemplo un vBase 2.0 y tú en tu vServer tienes un 2.5 pues ya bailaste.

No creo, estoy seguro que debería poner un cuadro de diálogo que te avise, “La solución que desea instalar tiene estas soluciones heredadas y su versión,”, y a la vez indicarte "Usted actualmente tiene una versión distinta de tal y tal y tal solución. Ya con eso uno decide si instala o no.

Y derivado de esto y que no suceda pues creo que lo mínimo requerido en cualquier nivel son 3 vServers, 1 para desarrollo puro y duro, 1 para tener un pequeño ambiente de preproducción, y 1, que yo le llamo sServer trash, para ahi instalar todos esos vins que nos sirven como ejemplo o referencia para nuestros proyectos reales, en este ultimo no importa que instales, si solo lo haras para tomar los ejemplos que te sirvan y con eso no machacar tus desarrollos y perder tiempo en caso que no hayas hecho respaldos.

Si, ya sé que con vVersion se soluciona en parte, pero pues no todos tienen acceso a esa solución.

En fín, se me durmio el gallo y solo perdí dos o tres horas de trabajo, lo bueno que a diario genero vins actualizados, que si no.

Saludos.

Martin.


([N3] ereitmann) #2

por aqui decimos ajo y agua , a joderse y aguantarse!